﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT MSO6xxxA (1 yr) Threshold Accuracy IEEE /9500
DATE:                  2011-02-09 07:28:07
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       186
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, DAC, CAD
#
#  Model(s) Covered:
#        Agilent MSO6000A Series:
#         MSO6012A, MSO6032A, MSO6052A, MSO6102A,
#         MSO6014A, MSO6034A, MSO6054A, MSO6104A,
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub AT MSO6xxx Logic Threshold Decoder
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Berg Strip, 8-by-2, fabricated
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
# Example of +5 V threshold test operation with positive voltage sweep:
#   The initial applied voltage at the pod inputs is +4.75 V.  The program
#   increments voltage by +10 mV and checks the status of each channel until
#   all equal 1 (digital high).
#
#   If a pod channel is defective so that the state will not change, the
#   voltage sweep will end when the applied voltage is 0.5 V away from the
#   threshold and the test will fail.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Due to the nature of these tests, repeated measurements are unnecessary.
  1.001  VSET         NTHROW = 0; NMEAS = 1

  1.002  SCPI         CHAN1:DISP OFF

  1.003  IF           @Pod == 1
  1.004  RSLT         =
  1.005  HEAD         {DIGITAL CHANNEL THRESHOLD ACCURACY}
  1.006  ELSE
  1.007  HEAD         DIGITAL CHANNEL THRESHOLD ACCURACY
  1.008  ENDIF

  1.009  RSLT         =
  1.010  HEAD         -2 {Pod [V @Pod]}, +5 V Threshold

  1.011  TARGET       -p
  1.012  SCPI         POD[V @Pod]:DISP ON;SIZE SMALL;THR 5V

# High going low.
  1.013  MATH         @Direction = "Negative"; Start = 5.25
  1.014  TSET         TDESC = [32] 5 V, - 250 mV
  1.015  TARGET       -m
# Starting voltage is 0.01 V high since the loop must contain the increment.
  1.016  MATH         MEM = Start + 0.01

  1.017  DO
  1.018  MATH         MEM = MEM - 0.01
  1.019  9500         V                                                 S
  1.020  CALL         Sub AT MSO6xxx Logic Threshold Decoder
  1.021  UNTIL        (@Level == 0) || (MEM <= 4.5)

  1.022  MEMCX        5.00V          3% 0.1U


# Low going high.  Sweep starts at the voltage result from above.
  2.001  MATH         @Direction = "Positive"; Start = MEM
  2.002  TSET         TDESC = [32] 5 V, + 250 mV
  2.003  TARGET       -m
  2.004  MATH         MEM = Start - 0.01

  2.005  DO
  2.006  MATH         MEM = MEM + 0.01
  2.007  9500         V                                                 S
  2.008  CALL         Sub AT MSO6xxx Logic Threshold Decoder
  2.009  UNTIL        (@Level == 1) || (MEM >= 5.5)

  2.010  MEMCX        5.00V          3% 0.1U


# ------------------------------------------------
  3.001  HEAD         -2 Pod [V @Pod], -5 V Threshold
  3.002  TARGET       -p
  3.003  SCPI         POD[V @Pod]:THR -5V
  3.004  MATH         @Direction = "Negative"; Start = -4.75
  3.005  TSET         TDESC = [32]-5 V, - 250 mV
  3.006  TARGET       -m
  3.007  MATH         MEM = Start + 0.01

  3.008  DO
  3.009  MATH         MEM = MEM - 0.01
  3.010  9500         V                                                 S
  3.011  CALL         Sub AT MSO6xxx Logic Threshold Decoder
  3.012  UNTIL        (@Level == 0) || (MEM <= -5.5)

  3.013  MEMCX        -5.00V         3% 0.1U


  4.001  MATH         @Direction = "Positive"; Start = MEM
  4.002  TSET         TDESC = [32]-5 V, + 250 mV
  4.003  TARGET       -m
  4.004  MATH         MEM = Start - 0.01

  4.005  DO
  4.006  MATH         MEM = MEM + 0.01
  4.007  9500         V                                                 S
  4.008  CALL         Sub AT MSO6xxx Logic Threshold Decoder
  4.009  UNTIL        (@Level == 1) || (MEM >= -4.5)

  4.010  MEMCX        -5.00V         3% 0.1U


# ------------------------------------------------
  5.001  HEAD         -2 Pod [V @Pod], 0 V Threshold
  5.002  TARGET       -p
  5.003  SCPI         POD[V @Pod]:THR 0V
  5.004  MATH         @Direction = "Negative"; Start = 0.1
  5.005  TSET         TDESC = [32] 0 V, - 100 mV
  5.006  TARGET       -m
  5.007  MATH         MEM = Start + 0.01

  5.008  DO
  5.009  MATH         MEM = MEM - 0.01

# Because the 9500 will not source below ±888 µV, floating-point round-off
# errors cause a hardware error to appear at zero volts.  Therefore, the stray
# value is trapped and an explicit 0 V (9500 Ground Condition Active) is
# programmed.
  5.010  IF           ABS(MEM) < 888E-6
  5.011  9500         0V                                                S
  5.012  ELSE
  5.013  9500         V                                                 S
  5.014  ENDIF

  5.015  CALL         Sub AT MSO6xxx Logic Threshold Decoder
  5.016  UNTIL        (@Level == 0) || (MEM <= -0.5)

  5.017  MEMCX        0.00V          3% 0.1U


  6.001  MATH         @Direction = "Positive"; Start = MEM
  6.002  TSET         TDESC = [32] 0 V, + 100 mV
  6.003  TARGET       -m
  6.004  MATH         MEM = Start - 0.01

  6.005  DO
  6.006  MATH         MEM = MEM + 0.01

  6.007  IF           ABS(MEM) < 888E-6
  6.008  9500         0V                                                S
  6.009  ELSE
  6.010  9500         V                                                 S
  6.011  ENDIF

  6.012  CALL         Sub AT MSO6xxx Logic Threshold Decoder
  6.013  UNTIL        (@Level == 1) || (MEM >= 0.5)

  6.014  MEMCX        0.00V          3% 0.1U


  7.001  9500         *                                                 S
  7.002  SCPI         *RST
  7.003  VSET         NTHROW = [V @NThrow]; NMEAS = [V @NMeas]
  7.004  HEAD
  7.005  HEAD         -2
  7.006  END

